Bug 435065 - kernel oops message seems to never clear
kernel oops message seems to never clear
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kerneloops (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 23:19 EST by Ray Todd Stevens
Modified: 2011-12-13 17:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 14:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ray Todd Stevens 2008-02-26 23:19:03 EST
I believe that I have experienced only one error which should be reported up the
chain to the maintainers.   That has been fixed under another bug report.  
However, the little window asking me if I want to send the results keeps popping
up.   Is there some kind of a failure in the clear a message process, or is the
message not getting out or what?

How would I find out?'

eitehr way this seems to be something that programming will be needed to fix.
Comment 1 Chuck Ebbert 2008-03-04 16:41:53 EST
(In reply to comment #0)
> I believe that I have experienced only one error which should be reported up the
> chain to the maintainers.   That has been fixed under another bug report.  
> However, the little window asking me if I want to send the results keeps popping
> up.   Is there some kind of a failure in the clear a message process, or is the
> message not getting out or what?
> 

Does it keep popping up after successfully submitting the report? (A message
should show in the system log when the reports gets sent.)
Comment 2 Ray Todd Stevens 2008-03-04 22:18:48 EST
The log says that one report has been submitted.

It would be interesting to have it have an option of knowing what is being
reported.   That would help here in debugging the problem.
Comment 3 Ray Todd Stevens 2008-03-09 17:39:21 EDT
OK I found out how you define and error, and found out that I am in fact
experiencing a kernel opps error IE a cut here message every time I boot.   So I
guess that is the real issue you.

It sure took a lot of reading of the documentation to find this.   Might it be a
good idea to date stamp them, and then display the date stamp in the gui to let
people know they are continuing to have a problem.   Or in this case a warning
message that doesn't appear to have a big issue.

Comment 4 Ray Todd Stevens 2008-03-17 16:30:02 EDT
I now have a second machine doing this.   It is not experiencing kernel errors
every time, or more specifically there is not a cut here message even in dmesg.

Also I tired to switch this to "always report" without an error message and this
didn't work.
Comment 5 Chuck Ebbert 2008-03-28 12:09:32 EDT
(In reply to comment #4)
> I now have a second machine doing this.   It is not experiencing kernel errors
> every time, or more specifically there is not a cut here message even in dmesg.
> 

kerneloops was sometimes triggering when it shouldn't. (bug #437854) That should
be fixed now.
Comment 6 Chuck Ebbert 2008-03-28 16:14:39 EDT
There was a bug where if the user said "no" they would be asked again the next
time they rebooted. That should be fixed in 0.10-9
Comment 7 Ray Todd Stevens 2008-03-29 21:56:04 EDT
Interesting I never answered "no".
Comment 8 Ray Todd Stevens 2008-04-01 10:15:56 EDT
On the other hand the problem seems to have gone away, so the update must have
worked.
Comment 9 Ray Todd Stevens 2008-04-23 16:36:09 EDT
It might be good to figure out how to simulate a kernel error and test this.  
Any ideas on how one might do this?
Comment 10 Bug Zapper 2008-05-14 01:39:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.